Get SSH authorized keys in the `authorized_keys` file format
Meant to be used as an AuthorizedKeysCommand in sshd. Filter the users with the username or group query parameter.
get
Query parameters
usernamestringOptional
Return the keys of this user.
groupstringOptional
Return the keys of all members of this group.
Responses
200
Authorized keys, one per line.
text/plain
stringOptional
400
Neither username nor group was provided.
application/json
500
Unable to get authorized keys.
application/json
get/api/v1/ssh_authorized_keys
GET /api/v1/ssh_authorized_keys HTTP/1.1
Accept: */*
ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIJ7Gd0DdLZQwQEwXQyLcVQ0hVBHnJcnGRfPtVJHqO1zQ jdoe@example.comLast updated
Was this helpful?